Subject: Re: bug#63956: 29.0.91; tex-mode display problem in emacs-29

From: Eli Zaretskii <[email-masked]>
Date: Sun, 11 Jun 2023 09:22:41 +0300

> Cc: [email-masked], Stefan Monnier <[email-masked]>
> Date: Sat, 10 Jun 2023 08:56:50 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > Maybe `display-comint-buffer-action' should default to
> > `display-buffer-in-previous-window'?
> 
> That works for me, but I think it's too late to change the default
> now, 1.5 years after the defcustom was introduced.  (It could be a
> good idea for master, perhaps.)  So at this point, on the release
> branch, I'd like to fix only the specific problems we see, without
> risking any unrelated breakage.  To understand how best to solve this,
> I need you two (and anyone else who uses tex-mode) to look at the
> other uses of this defcustom in tex-mode, and tell me whether any of
> them also need fixing.  As I wrote in my original message:
> 
> > Jeff, would you please look at the 3 places in tex-mode where
> > display-comint-buffer-action was added to calls to pop-to-buffer and
> > display-buffer, and tell in which ones showing the buffer in the same
> > window by default makes sense?  I don't myself use tex-mode, so it is
> > hard for me to tell.  We could then discuss whether to remove the
> > argument in some of the cases or make a tex-mode-specific user option
> > to let users control that.  For example, in the specific case of
> > tex-display-shell it sounds like just dropping the argument would be
> > TRT, since all of its callers want to show the shell buffer, but not
> > in the selected window.  What about the other two cases where this
> > argument was added?
> 
> Would you two please help me understand how best to fix this
> regression by providing the above information?  TIA.

No further comments, so I've now added a new defcustom, called
display-tex-shell-buffer-action, and made its default value be
display-buffer-in-previous-window.  With that, I'm closing this bug.